App::Sqitch::Command::status(3pm)

Name
App::Sqitch::Command::status - Display status information about Sqitch

Synopsis
  my $cmd = App::Sqitch::Command::status->new(%params);
  $cmd->execute;

Description
If you want to know how to use the "status" command, you probably want to be reading "sqitch-status". But if you really want to know how the "status" command works, read on.

Interface

  Attributes
"target_name"

The name or URI of the database target as specified by the "--target" option.

"target"

An App::Sqitch::Target object from which to read the status. Must be instantiated by execute().

  Instance Methods
"execute"

  $status->execute;

Executes the status command. The current state of the target database will be compared to the plan in order to show where things stand.

"emit_changes"

  $status->emit_changes;

Emits a list of deployed changes if "show_changes" is true.

"emit_tags"

  $status->emit_tags;

Emits a list of deployed tags if "show_tags" is true.

"emit_state"

  $status->emit_state($state);

Emits the current state of the target database. Pass in a state hash as returned by App::Sqitch::Engine current_state().

"emit_status"

  $status->emit_state($state);

Emits information about the current status of the target database compared to the plan. Pass in a state hash as returned by App::Sqitch::Engine current_state(). Throws an exception if the current state's change cannot be found in the plan.

See Also

sqitch-status
    Documentation for the "status" command to the Sqitch command-line client.

sqitch
    The Sqitch command-line client.

Author
David E. Wheeler <david@justatheory.com>

License
Copyright (c) 2012-2026 David E. Wheeler, 2012-2021 iovation Inc.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.